<?php

namespace Modules\Contracts\Http\Controllers;

use Modules\Contracts\Models\Contract;

use App\Http\Controllers\Controller;

use Illuminate\Http\Request;


class ContractsController extends Controller
{
    public function index(Request $request)
    {
        $mode = 'all';
        $filter = [];

        if ($request->exists('mode'))
        {
            $mode = $request->mode;
        }
        if ($request->exists('filter'))
        {
            $filter = $request->filter;
        }
        return view('contracts::index', [
            'mode'   => $mode,
            'filter' => $filter
        ]);
    }
    public function show(Contract $contract)
    {
        return view(
            'contracts::contract',
            [
                'contract' => $contract
            ]
        );
    }
    public function delete(Contract $contract)
    {
        $deal = $contract->deal;
        if ($contract->delete())
        {
            $bitrixable = $deal->bitrixy;
            if ($deal->delete())
            {
                $bitrixable->delete();
                return back()->with('success', 'Договор был успешно удален из базы данных');
            }
        }
        return back()->withErrors('Не удалось корректно удалить договор и сделку. Попробуйте позже.');
    }

    public function comment(Request $request, Contract $contract)
    {
        $contract->comment = $request->comment;
        $contract->save();
        return back()->with('success', 'Комментарий к договору сохранен');
    }
}